QGIS Application - Feature request #19217
Add icons to options in Algorithm dialog
2018-06-18 06:57 PM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Processing/GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 27046
Description

In QGIS dialogs, when eg creating a layer, options like geometry type or Field type have an associated icon
It could be nice to have them also shown in algorithm dialog (see eg "Add field to attributes table" for field type - | unfortunately can no
longer find the alg which has a drop-down parameter with option like polygon, line, point...)

History

#1 - 2019-01-01 07:48 PM - Alexander Bruy
- Status changed from Open to Feedback

Seems these always were here. At least in 2.99 and 3.x | see icons.

#2 - 2019-01-02 12:14 AM - Nyall Dawson

| suspect Harrissou is referring to algorithms like "create grid", where you get a choice of geometry types

#3 - 2019-02-26 06:57 PM - Harrissou Santanna
- Status changed from Feedback to Open

Indeed, create grid also misses icons next to options in drop-down.
